<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetZoneInfoListResponse StructType
 * @subpackage Structs
 */
class GetZoneInfoListResponse extends AbstractStructBase
{
    /**
     * The ZoneInfoRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $ZoneInfoRS;
    /**
     * Constructor method for GetZoneInfoListResponse
     * @uses GetZoneInfoListResponse::setZoneInfoRS()
     * @param \StructType\JP_StaticDataRS $zoneInfoRS
     */
    public function __construct(\StructType\JP_StaticDataRS $zoneInfoRS = null)
    {
        $this
            ->setZoneInfoRS($zoneInfoRS);
    }
    /**
     * Get ZoneInfoRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getZoneInfoRS()
    {
        return $this->ZoneInfoRS;
    }
    /**
     * Set ZoneInfoRS value
     * @param \StructType\JP_StaticDataRS $zoneInfoRS
     * @return \StructType\GetZoneInfoListResponse
     */
    public function setZoneInfoRS(\StructType\JP_StaticDataRS $zoneInfoRS = null)
    {
        $this->ZoneInfoRS = $zoneInfoRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetZoneInfoListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
